%global _empty_manifest_terminate_build 0
Name:           perl-PerlIO-utf8_strict
Version:        0.009
Release:        1
Summary:        Fast and correct UTF-8 IO
License:        GPL-1.0-only or Artistic-1.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PerlIO-utf8_strict/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/PerlIO-utf8_strict-%{version}.tar.gz
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
BuildRequires:  gcc
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
This module provides a fast and correct UTF-8 PerlIO layer. Unlike perl's
default :utf8 layer it checks the input for correctness.
%package help
Summary : Fast and correct UTF-8 IO
Provides: perl-PerlIO-utf8_strict-doc
%description help
This module provides a fast and correct UTF-8 PerlIO layer. Unlike perl's
default :utf8 layer it checks the input for correctness.
%prep
%autosetup -p1 -n PerlIO-utf8_strict-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/PerlIO*
%files help
%{_mandir}/*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.009-1
- Upgrade to version 0.009

* Sat Aug 07 2021 zhangtao2020 <zhangtao221@huawei.com> - 0.008-3
- fix build error

* Sat Jul 10 2021 wangyue <wangyu92@huawei.com> - 0.008-2
- Add gcc to build dependency

* Wed Sep 30 2020 Perl_Bot <Perl_Bot@openeuler.org> 0.008-1
- Specfile autogenerated by Perl_Bot
